## ros-indigo-mapviz-plugins 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mapviz_plugins)

set(DEPENDENCIES
  actionlib
  cv_bridge
  gps_common
  image_transport
  mapviz
  marti_common_msgs
  marti_nav_msgs
  marti_visualization_msgs
  move_base_msgs
  nav_msgs
  map_msgs
  pluginlib 
  roscpp 
  sensor_msgs
  std_msgs 
  stereo_msgs
  swri_image_util
  swri_math_util
  swri_route_util
  swri_transform_util
  swri_yaml_util
  tf 
  visualization_msgs
)

find_package(catkin REQUIRED COMPONENTS ${DEPENDENCIES})

### QT ###
if("$ENV{ROS_DISTRO}" STRLESS "kinetic")
  find_package(Qt4 COMPONENTS REQUIRED QtCore QtGui QtOpenGL)
  set(Qt_FOUND TRUE)
  set(Qt_INCLUDE_DIRS "${QT_INCLUDE_DIR};${QT_QTCORE_INCLUDE_DIR};${QT_QTGUI_INCLUDE_DIR};${QT_QTOPENGL_INCLUDE_DIR}")
  set(Qt_LIBRARIES "${QT_QTCORE_LIBRARY};${QT_QTGUI_LIBRARY};${QT_QTOPENGL_LIBRARY}")
  set(Qt_LIBS
      Qt4::QtCore
      Qt4::QtGui
      Qt4::QtOpenGL
      )
else()
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Gui REQUIRED)
  find_package(Qt5OpenGL REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  set(Qt_FOUND TRUE)
  set(Qt_INCLUDE_DIRS "${Qt5Core_INCLUDE_DIRS};${Qt5Gui_INCLUDE_DIRS};${Qt5OpenGL_INCLUDE_DIRS};${Qt5Widgets_INCLUDE_DIRS}")
  set(Qt_LIBRARIES "${Qt5Core_LIBRARIES};${Qt5Gui_LIBRARIES};${Qt5OpenGL_LIBRARIES};${Qt5Widgets_LIBRARIES}")
  set(Qt_LIBS
      Qt5::Core
      Qt5::Gui
      Qt5::OpenGL
      Qt5::Widgets
      )
  add_definitions(-DWFlags=WindowFlags)
endif()

if("$ENV{ROS_DISTRO}" STRLESS "kinetic")
  find_package(OpenCV 2 REQUIRED)
else()
  find_package(OpenCV 3.1 COMPONENTS core imgproc REQUIRED)
endif()

### OpenGL ###
find_package(OpenGL REQUIRED)
find_package(GLUT REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  DEPENDS Qt
  CATKIN_DEPENDS ${DEPENDENCIES}
)

# Fix conflict between Boost signals used by tf and QT signals used by mapviz
add_definitions(-DQT_NO_KEYWORDS)

# Need to include the current dir to include the results of building Qt UI files
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${Qt_INCLUDE_DIRS}
)

set(UI_FILES
    ui/attitude_indicator_config.ui
    ui/coordinate_picker_config.ui
    ui/disparity_config.ui
    ui/draw_polygon_config.ui
    ui/gps_config.ui
    ui/grid_config.ui
    ui/image_config.ui
    ui/laserscan_config.ui
    ui/marker_config.ui
    ui/measuring_config.ui
    ui/move_base_config.ui
    ui/navsat_config.ui
    ui/occupancy_grid_config.ui
    ui/odometry_config.ui
    ui/path_config.ui
    ui/plan_route_config.ui
    ui/point_click_publisher_config.ui
    ui/pointcloud2_config.ui
    ui/robot_image_config.ui
    ui/route_config.ui
    ui/string_config.ui
    ui/tf_frame_config.ui
    ui/topic_select.ui
)

set(SRC_FILES
    src/attitude_indicator_plugin.cpp 
    src/canvas_click_filter.cpp
    src/coordinate_picker_plugin.cpp
    src/disparity_plugin.cpp
    src/draw_polygon_plugin.cpp
    src/gps_plugin.cpp
    src/grid_plugin.cpp
    src/image_plugin.cpp
    src/laserscan_plugin.cpp
    src/marker_plugin.cpp 
    src/measuring_plugin.cpp 
    src/move_base_plugin.cpp
    src/navsat_plugin.cpp
    src/occupancy_grid_plugin.cpp
    src/odometry_plugin.cpp 
    src/path_plugin.cpp
    src/placeable_window_proxy.cpp
    src/plan_route_plugin.cpp
    src/point_click_publisher_plugin.cpp
    src/pointcloud2_plugin.cpp
    src/point_drawing_plugin.cpp
    src/robot_image_plugin.cpp
    src/route_plugin.cpp
    src/string_plugin.cpp
    src/textured_marker_plugin.cpp
    src/tf_frame_plugin.cpp
)

set(HEADER_FILES
    include/${PROJECT_NAME}/attitude_indicator_plugin.h
    include/${PROJECT_NAME}/canvas_click_filter.h
    include/${PROJECT_NAME}/coordinate_picker_plugin.h
    include/${PROJECT_NAME}/disparity_plugin.h
    include/${PROJECT_NAME}/draw_polygon_plugin.h
    include/${PROJECT_NAME}/gps_plugin.h
    include/${PROJECT_NAME}/grid_plugin.h
    include/${PROJECT_NAME}/image_plugin.h
    include/${PROJECT_NAME}/laserscan_plugin.h
    include/${PROJECT_NAME}/marker_plugin.h
    include/${PROJECT_NAME}/measuring_plugin.h
    include/${PROJECT_NAME}/move_base_plugin.h
    include/${PROJECT_NAME}/navsat_plugin.h
    include/${PROJECT_NAME}/occupancy_grid_plugin.h
    include/${PROJECT_NAME}/odometry_plugin.h
    include/${PROJECT_NAME}/path_plugin.h
    include/${PROJECT_NAME}/path_plugin.h
    include/${PROJECT_NAME}/placeable_window_proxy.h
    include/${PROJECT_NAME}/plan_route_plugin.h
    include/${PROJECT_NAME}/point_click_publisher_plugin.h
    include/${PROJECT_NAME}/pointcloud2_plugin.h
    include/${PROJECT_NAME}/point_drawing_plugin.h
    include/${PROJECT_NAME}/robot_image_plugin.h
    include/${PROJECT_NAME}/route_plugin.h
    include/${PROJECT_NAME}/string_plugin.h
    include/${PROJECT_NAME}/textured_marker_plugin.h
    include/${PROJECT_NAME}/tf_frame_plugin.h
)
    
if("$ENV{ROS_DISTRO}" STRLESS "kinetic")
  qt4_wrap_ui(UI_SRC_FILES ${UI_FILES})
  qt4_wrap_cpp(MOC_FILES ${HEADER_FILES})
else()
  qt5_wrap_ui(UI_SRC_FILES ${UI_FILES})
  qt5_wrap_cpp(MOC_FILES ${HEADER_FILES})
endif()

add_library(${PROJECT_NAME}
    ${MOC_FILES}
    ${SRC_FILES}
    ${UI_SRC_FILES}
)

target_link_libraries(${PROJECT_NAME}
    ${catkin_LIBRARIES}
    ${GLU_LIBRARY}
    ${GLUT_LIBRARY}
    ${OpenCV_LIBS}
    ${Qt_LIBRARIES}
)

set_target_properties(${PROJECT_NAME} PROPERTIES
  COMPILE_FLAGS "-std=c++11 -D__STDC_FORMAT_MACROS"
)

### Install the plugins ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(FILES ${PROJECT_NAME}.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-mapviz-plugins (1.1.0-0trusty) trusty; urgency=high

  * Improve MarkerPlugin (#603 <https://github.com/swri-robotics/mapviz/issues/603>)
    * Improved performance of MarkerPlugin::handleMarker()
    * Support Text marker alpha channel
    * Don't use QColor for glColor4f
    * Use marker namespace and id as markers map key
  * [mapviz_plugins/attitude_indicator] Minor refactoring and redundant logging removed (#617 <https://github.com/swri-robotics/mapviz/issues/617>)
  * 606 sequential measuring (#607 <https://github.com/swri-robotics/mapviz/issues/607>)
    * Moved distance calculation to trigger on release of mouse. Added case to prevent distance calculation while moving map.
    * Added vertices and lines between measurement points. Left click to add point. Right click to delete. Added color selection for points and clear button to ui.
    * Added cumulative distance measurements from multiple points
    * Fixed individual and cumulative distance measurements. Changed it to only measure distance between points and not from fixed origin and first point
    * Moved distance calculation into separate function which is called when deleting a point, adding a point, or rearranging points.
  * Add image size check to textured marker plugin to prevent crashes. (#613 <https://github.com/swri-robotics/mapviz/issues/613>)
    * Add image size check to textured marker plugin to prevent crashes.
  * Fixed typo in string (#608 <https://github.com/swri-robotics/mapviz/issues/608>)
  * 605 add reset button marker (#609 <https://github.com/swri-robotics/mapviz/issues/609>)
    * Added Clear all marker buttons, added case for clear all support to markers
  * Contributors: Arkady Shapkin, Matthew, jbdaniel18

 -- Marc Alban <malban@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-indigo-mapviz-plugins (1.0.1-0trusty) trusty; urgency=high

  * Use shared tf manager in measuring_plugin (#604 <https://github.com/swri-robotics/mapviz/issues/604>)
  * Contributors: jgassaway

 -- Marc Alban <malban@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-indigo-mapviz-plugins (1.0.0-0trusty) trusty; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Fix potential segfault in pointcloud plug-in. (#602 <https://github.com/swri-robotics/mapviz/issues/602>)
  * Add Measuring Plugin (#598 <https://github.com/swri-robotics/mapviz/issues/598>)
  * Contributors: Davide Faconti, Marc Alban, Matthew

 -- Marc Alban <malban@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-indigo-mapviz-plugins (0.3.0-0trusty) trusty; urgency=high

  * Merge all -devel branches into a single master branch
  * Don't transform laser scans twice (#544 <https://github.com/swri-robotics/mapviz/issues/544>)
  * Improving point_drawing plugins and bug fix of tf_plugin (#557 <https://github.com/swri-robotics/mapviz/issues/557>)
  * OpenGL rendering of PointClouds  (2X speedup) (#558 <https://github.com/swri-robotics/mapviz/issues/558>)
  * Occupancy grid (new plugin) (#568 <https://github.com/swri-robotics/mapviz/issues/568>)
  * Bug fix in image plugin (#563 <https://github.com/swri-robotics/mapviz/issues/563>)
  * Fix Indigo build, clean up warnings (#597 <https://github.com/swri-robotics/mapviz/issues/597>)
  * Create Coordinate Picker plugin (#593 <https://github.com/swri-robotics/mapviz/issues/593>)
  * Contributors: Davide Faconti, Ed Venator, Edward Venator, Elliot Johnson, Jerry Towler, Marc Alban, Matthew, Matthew Bries, Mikael Arguedas, Neal Seegmiller, Nicholas Alton, P. J. Reed, Vincent Rousseau

 -- Marc Alban <malban@swri.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-indigo-mapviz-plugins (0.2.6-0trusty) trusty; urgency=high

  * Fix timestamp interval (#588 <https://github.com/swri-robotics/mapviz/issues/588>)
  * Update path_plugin.cpp (#586 <https://github.com/swri-robotics/mapviz/issues/586>)
  * Replace depcreated plugin macro with newer version
  * Contributors: Matthew, P. J. Reed, camjaws

 -- Marc Alban <malban@swri.org>  Tue, 31 Jul 2018 05:00:00 -0000

ros-indigo-mapviz-plugins (0.2.5-0trusty) trusty; urgency=high

  * Add clear history functionality.
  * Add support for newlines in text marker plugin (#572 <https://github.com/swri-robotics/mapviz/issues/572>)
  * New plugin to send commands to move_base
  * Glew warning fixed (#539 <https://github.com/swri-robotics/mapviz/issues/539>)
  * Added "keep image ratio" to Image plugin (#543 <https://github.com/swri-robotics/mapviz/issues/543>)
  * Remove copy and paste of Print...
  * PointCloud2 speed improvement (#531 <https://github.com/swri-robotics/mapviz/issues/531>)
  * Dead code removed (#535 <https://github.com/swri-robotics/mapviz/issues/535>)
  * Ratio added to robot_image_plugin (#530 <https://github.com/swri-robotics/mapviz/issues/530>)
  * Speed up improvement in LaserScan and PointCloud2 (#525 <https://github.com/swri-robotics/mapviz/issues/525>)
  * Re-add GPSFix plugin to kinetic-devel (#519 <https://github.com/swri-robotics/mapviz/issues/519>)
  * Add support for unpacking rgb8 in pointcloud2s
  * Use non-deprecated pluginlib macro
  * Add plug-in for drawing and publishing a polygon.
  * change the signal that triggers AlphaEdited + minor changes (#514 <https://github.com/swri-robotics/mapviz/issues/514>)
  * Added timestamp display to odometry for kinetic
  * Contributors: Davide Faconti, Marc Alban, Matthew Bries, Mikael Arguedas, P. J. Reed, jgassaway

 -- Marc Alban <malban@swri.org>  Thu, 12 Apr 2018 05:00:00 -0000

ros-indigo-mapviz-plugins (0.2.4-0trusty) trusty; urgency=high

  * Add /wgs84 frame to point click publisher when available.
  * Transform cube and arrow markers properly
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 11 Aug 2017 05:00:00 -0000

ros-indigo-mapviz-plugins (0.2.3-0trusty) trusty; urgency=high

  * Delete markers that have expired and remove error message. (#454 <https://github.com/evenator/mapviz/issues/454>)


=== debian/control ===
Source: ros-indigo-mapviz-plugins
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-gps-common, ros-indigo-image-transport, ros-indigo-libqt-dev, ros-indigo-libqt-opengl-dev, ros-indigo-map-msgs, ros-indigo-mapviz, ros-indigo-marti-common-msgs, ros-indigo-marti-nav-msgs, ros-indigo-marti-visualization-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-pluginlib, ros-indigo-qt-qmake, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-stereo-msgs, ros-indigo-swri-image-util, ros-indigo-swri-math-util, ros-indigo-swri-route-util, ros-indigo-swri-transform-util, ros-indigo-swri-yaml-util, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-indigo-mapviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-cv-bridge, ros-indigo-gps-common, ros-indigo-image-transport, ros-indigo-libqt-core, ros-indigo-libqt-opengl, ros-indigo-map-msgs, ros-indigo-mapviz, ros-indigo-marti-common-msgs, ros-indigo-marti-nav-msgs, ros-indigo-marti-visualization-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-stereo-msgs, ros-indigo-swri-image-util, ros-indigo-swri-math-util, ros-indigo-swri-route-util, ros-indigo-swri-transform-util, ros-indigo-swri-yaml-util, ros-indigo-tf, ros-indigo-visualization-msgs
Description: Common plugins for the Mapviz visualization tool

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mapviz-plugins//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
